org.eclipse.gmt.modisco.infra.facet.core

## Class FacetContext

- java.lang.Object
- - org.eclipse.gmt.modisco.infra.facet.core.FacetContext

Deprecated.
Replaced by EMF Facet

    @Deprecated
    public class FacetContext
    extends java.lang.Object

Author:
  Gregoire DUPE

### Constructor Summary

Constructors
Constructor and Description
`FacetContext()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addAll(java.util.Collection<FacetSet> allFacetSets)` Deprecated.
`void` `addFacet(Facet facet)` Deprecated.
`void` `addFacetSet(FacetSet facetSet)` Deprecated.
`void` `addListener(FacetContextListener listener)` Deprecated.
`void` `clear()` Deprecated.
`java.lang.Object` `get(EObject eObject, EStructuralFeature structuralFeature)` Deprecated.
`java.util.Collection<Facet>` `getAppliedFacets()` Deprecated.
`<any>` `getAttributes(EObject eObject)` Deprecated.
`java.util.List<EStructuralFeature>` `getFacetFeatures(EObject eObject)` Deprecated.
`java.util.List<Facet>` `getFacets(EObject eObject)` Deprecated.
`java.util.List<EClass>` `getMetaClasses()` Deprecated.
`<any>` `getReferences(EObject eObject)` Deprecated.
`boolean` `isInstance(EObject eObject, Facet facet)` Deprecated.
`void` `notifyFacetAdded(Facet facet)` Deprecated.
`void` `notifyFacetsCleared()` Deprecated.
`void` `removeListener(FacetContextListener listener)` Deprecated.
`void` `setResources(java.util.Collection<Resource> resources)` Deprecated.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FacetContext

    public FacetContext()

Deprecated.

### Method Detail

#### setResources

    public void setResources(java.util.Collection<Resource> resources)

Deprecated.

Parameters:
  `resources` - the resources that will be used to resolve `Shortcut`s

#### addFacetSet

    public void addFacetSet(FacetSet facetSet)

Deprecated.

#### addFacet

    public void addFacet(Facet facet)

Deprecated.

#### isInstance

    public boolean isInstance(EObject eObject,
                              Facet facet)
                       throws ModelQueryException

Deprecated.

Throws:
  `ModelQueryException`

#### get

    public java.lang.Object get(EObject eObject,
                                EStructuralFeature structuralFeature)
                         throws ModelQueryException,
                                ModiscoFacetException

Deprecated.

Throws:
  `ModelQueryException`
  `ModiscoFacetException`

#### getFacetFeatures

    public java.util.List<EStructuralFeature> getFacetFeatures(EObject eObject)

Deprecated.

#### addAll

    public void addAll(java.util.Collection<FacetSet> allFacetSets)

Deprecated.

#### getAttributes

    public <any> getAttributes(EObject eObject)
                        throws ModelQueryException

Deprecated.

Throws:
  `ModelQueryException`

#### getReferences

    public <any> getReferences(EObject eObject)
                        throws ModelQueryException

Deprecated.

Throws:
  `ModelQueryException`

#### getMetaClasses

    public java.util.List<EClass> getMetaClasses()

Deprecated.

#### getFacets

    public java.util.List<Facet> getFacets(EObject eObject)

Deprecated.

#### getAppliedFacets

    public java.util.Collection<Facet> getAppliedFacets()

Deprecated.

#### clear

    public void clear()

Deprecated.

#### addListener

    public void addListener(FacetContextListener listener)

Deprecated.

#### removeListener

    public void removeListener(FacetContextListener listener)

Deprecated.

#### notifyFacetAdded

    public void notifyFacetAdded(Facet facet)

Deprecated.

#### notifyFacetsCleared

    public void notifyFacetsCleared()

Deprecated.